//**************************************************************************
//
//
//                       National Institute Of Standards and Technology
//                                    DTS Version 1.0
//         
//                             HTMLDirectoryElement Interface
//**************************************************************************

function HTMLDirectoryElement()
{
   var tests = new Array (HTML0001HDIE());
   return tests;
}

//------------------------ test case HTML-0001HDIE ------------------------
//
// Testing feature - The "compact" attribute reduce spacing between 
//                   items.
//
// Testing approach - Retrieve the "compact" attribute from the DIR 
//                    element of the testing document and examine its value.  
//                    It should be equal to true.
//
// Semantic Requirements: 1
//
// Last modification date - September 13, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0001HDIE()
 {
   var computedValue = "";
   var expectedValue = true;
   var results = "";
   var testNode = "";

    results = new testResults("HTML0001HDIE");
    results.description = "The \"compact\" attribute reduce spacing "+
                          "between items.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(DIR);
//
// and access its "compact" attribute.
//
      computedValue = testNode.node.compact
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0001HDIE -------------------------
